Uses of Class
org.mockserver.mock.OpenAPIExpectation
-
Packages that use OpenAPIExpectation Package Description org.mockserver.client org.mockserver.mock org.mockserver.serialization org.mockserver.serialization.model org.mockserver.serialization.serializers.expectation -
-
Uses of OpenAPIExpectation in org.mockserver.client
Methods in org.mockserver.client with parameters of type OpenAPIExpectation Modifier and Type Method Description Expectation[]MockServerClient. upsert(OpenAPIExpectation... openAPIExpectations)Specify OpenAPI and operations and responses to create matchers and example responses -
Uses of OpenAPIExpectation in org.mockserver.mock
Methods in org.mockserver.mock that return OpenAPIExpectation Modifier and Type Method Description static OpenAPIExpectationOpenAPIExpectation. openAPIExpectation()static OpenAPIExpectationOpenAPIExpectation. openAPIExpectation(String specUrlOrPayload)Specify the OpenAPI to create matchers and example responses for:static OpenAPIExpectationOpenAPIExpectation. openAPIExpectation(String specUrlOrPayload, Map<String,Object> operationsAndResponses)Specify the OpenAPI and operations and responses to create matchers and example responses for:static OpenAPIExpectationOpenAPIExpectation. openAPIExpectationWithStringResponses(String specUrlOrPayload, Map<String,String> operationsAndResponses)OpenAPIExpectationOpenAPIExpectation. withContextPathPrefix(String contextPathPrefix)OpenAPIExpectationOpenAPIExpectation. withOperationsAndResponses(Map<String,Object> operationsAndResponses)The operations and responses to use for each example response where the key is the operationId in the OpenAPI and the value is either: a String response status code (e.g. "200", "400", "default") a Map/object with "statusCode" (required) and optional "exampleName" to select a specific named exampleOpenAPIExpectationOpenAPIExpectation. withOperationsAndStringResponses(Map<String,String> operationsAndResponses)OpenAPIExpectationOpenAPIExpectation. withSpecUrlOrPayload(String specUrlOrPayload)Specify the OpenAPI specification:Methods in org.mockserver.mock with parameters of type OpenAPIExpectation Modifier and Type Method Description List<Expectation>HttpState. add(OpenAPIExpectation openAPIExpectation) -
Uses of OpenAPIExpectation in org.mockserver.serialization
Methods in org.mockserver.serialization that return OpenAPIExpectation Modifier and Type Method Description OpenAPIExpectationOpenAPIExpectationSerializer. deserialize(String jsonOpenAPIExpectation)OpenAPIExpectation[]OpenAPIExpectationSerializer. deserializeArray(String jsonOpenAPIExpectations, boolean allowEmpty)Methods in org.mockserver.serialization that return types with arguments of type OpenAPIExpectation Modifier and Type Method Description Class<OpenAPIExpectation>OpenAPIExpectationSerializer. supportsType()Methods in org.mockserver.serialization with parameters of type OpenAPIExpectation Modifier and Type Method Description StringOpenAPIExpectationSerializer. serialize(OpenAPIExpectation expectation)StringOpenAPIExpectationSerializer. serialize(OpenAPIExpectation... expectations)Method parameters in org.mockserver.serialization with type arguments of type OpenAPIExpectation Modifier and Type Method Description StringOpenAPIExpectationSerializer. serialize(List<OpenAPIExpectation> expectations) -
Uses of OpenAPIExpectation in org.mockserver.serialization.model
Methods in org.mockserver.serialization.model that return OpenAPIExpectation Modifier and Type Method Description OpenAPIExpectationOpenAPIExpectationDTO. buildObject()Constructors in org.mockserver.serialization.model with parameters of type OpenAPIExpectation Constructor Description OpenAPIExpectationDTO(OpenAPIExpectation openAPIExpectation) -
Uses of OpenAPIExpectation in org.mockserver.serialization.serializers.expectation
Methods in org.mockserver.serialization.serializers.expectation with parameters of type OpenAPIExpectation Modifier and Type Method Description voidOpenAPIExpectationSerializer. serialize(OpenAPIExpectation openAPIDefinition, com.fasterxml.jackson.core.JsonGenerator jgen, com.fasterxml.jackson.databind.SerializerProvider provider)
-